// Change page's title
if (typeof pageTitle != "undefined") {
    document.title = pageTitle;
}

function layouting() {
    if ( window.matchMedia('(min-width: 1200px)').matches ) {
        $("#access").detach().insertBefore('#actualites');
        $("#promo").detach().insertAfter('#agenda');
        $("#mairie24").detach().appendTo('#header');
        $("#aside").detach().insertAfter('#webtv');
    } else if ( window.matchMedia('(min-width: 992px)').matches && window.matchMedia('(max-width: 1199px)').matches ) {
        $("#access").detach().insertBefore('#actualites');
        $("#promo").detach().insertAfter('#agenda');
        $("#mairie24").detach().appendTo('#header');
        $("#aside").detach().insertAfter('#webtv');
    } else if ( window.matchMedia('(max-width: 991px)').matches ) {
        $("#access").detach().insertAfter('#webtv');
        $("#promo").detach().insertAfter('#aside');
        $("#mairie24").detach().insertAfter('#navigation');
        $("#aside").detach().insertAfter('#access');
        if ( window.matchMedia('(min-width: 481px)').matches ) {
            $("#promo").detach().insertAfter('#aside');
        }
    }
}
$(function() {
    $('[data-toggle="collapse"]').on('click', function () {
        if ( $(this).hasClass('active') ) {
            $(this).removeClass('active');
        } else {
            $(this).addClass('active');
        }
    });

    if ( window.matchMedia('(min-width: 768px)').matches ) {
        //$(window).stellar();
    }


    layouting();
    $(window).resize(function(event) {
        layouting();
    });

    $("img.lazy").lazyload({
        skip_invisible : false
    });

    $('#navigation').find('[data-img]').hover( function () {
        var img = $(this).data('img');
        $(this).parents('.yamm-content').find('.img' + img).css('z-index', '1000').siblings('img').css('z-index', '1');
    });

    $('.sondage').find('.bloc-title').on('click', function (event) {
        event.preventDefault();
        $('.newsletter').removeClass('open');
        $(this).parent('.sondage').toggleClass('open');
    });

    $('.newsletter').find('.bloc-title').on('click', function (event) {
        event.preventDefault();
        $('.sondage').removeClass('open');
        $(this).parent('.newsletter').toggleClass('open');
    });

    if ("ontouchstart" in window || navigator.msMaxTouchPoints) {
        $('html').addClass('touchable');
        isTouch = true;
    } else {
        $('html').addClass('untouchable');
        isTouch = false;
    }

    $(document).on('click', function () {
        if ($(event.target).parents('.sondage').length > 0) {

        } else {
            $('.sondage').removeClass('open');
        }
        if ( $(event.target).parents('.newsletter').length > 0) {

        } else {
            $('.newsletter').removeClass('open');
        }
    });
});